|
|||||||||
| Home >> All >> org >> apache >> struts >> [ upload overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.apache.struts.upload
Class MultipartRequestWrapper

java.lang.Objectorg.apache.struts.upload.MultipartRequestWrapper
- All Implemented Interfaces:
- javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest
- public class MultipartRequestWrapper
- extends java.lang.Object
- implements javax.servlet.http.HttpServletRequest
- extends java.lang.Object
This class functions as a wrapper around HttpServletRequest to
provide working getParameter methods for multipart requests. Once
Struts requires Servlet 2.3, this class will definately be changed to
extend javax.servlet.http.HttpServletRequestWrapper instead of
implementing HttpServletRequest. Servlet 2.3 methods are implemented
to return null or do nothing if called on. Use
getRequest 55 to retrieve the underlying HttpServletRequest
object and call on the 2.3 method there, the empty methods are here only
so that this will compile with the Servlet 2.3 jar. This class exists temporarily
in the process() method of ActionServlet, just before the ActionForward is processed
and just after the Action is performed, the request is set back to the original
HttpServletRequest object.
| Field Summary | |
private static org.apache.commons.logging.Log |
log
Logging instance |
protected java.util.Map |
parameters
The parameters for this multipart request |
protected javax.servlet.http.HttpServletRequest |
request
The underlying HttpServletRequest |
| Fields inherited from interface javax.servlet.http.HttpServletRequest |
BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH |
| Constructor Summary | |
MultipartRequestWrapper(javax.servlet.http.HttpServletRequest request)
|
|
| Method Summary | |
java.lang.Object |
getAttribute(java.lang.String name)
Returns the value of the named attribute as an Object,
or null if no attribute of the given name exists. |
java.util.Enumeration |
getAttributeNames()
Returns an Enumeration containing the
names of the attributes available to this request. |
java.lang.String |
getAuthType()
Returns the name of the authentication scheme used to protect the servlet. |
java.lang.String |
getCharacterEncoding()
Returns the name of the character encoding used in the body of this request. |
int |
getContentLength()
Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known. |
java.lang.String |
getContentType()
Returns the MIME type of the body of the request, or null if the type is not known. |
java.lang.String |
getContextPath()
Returns the portion of the request URI that indicates the context of the request. |
javax.servlet.http.Cookie[] |
getCookies()
Returns an array containing all of the Cookie
objects the client sent with this request. |
long |
getDateHeader(java.lang.String name)
Returns the value of the specified request header as a long value that represents a
Date object. |
java.lang.String |
getHeader(java.lang.String name)
Returns the value of the specified request header as a String. |
java.util.Enumeration |
getHeaderNames()
Returns an enumeration of all the header names this request contains. |
java.util.Enumeration |
getHeaders(java.lang.String name)
Returns all the values of the specified request header as an Enumeration of String objects. |
javax.servlet.ServletInputStream |
getInputStream()
Retrieves the body of the request as binary data using a javax.servlet.ServletInputStream. |
int |
getIntHeader(java.lang.String name)
Returns the value of the specified request header as an int. |
java.lang.String |
getLocalAddr()
Use Reflection to invoke Servlet 2.4 getLocalAddr method on the wrapped Request. |
java.util.Locale |
getLocale()
Returns the preferred Locale that the client will
accept content in, based on the Accept-Language header. |
java.util.Enumeration |
getLocales()
Returns an Enumeration of Locale objects
indicating, in decreasing order starting with the preferred locale, the
locales that are acceptable to the client based on the Accept-Language
header. |
java.lang.String |
getLocalName()
Use Reflection to invoke Servlet 2.4 getLocalName method on the wrapped Request. |
int |
getLocalPort()
Use Reflection to invoke Servlet 2.4 getLocalPort method on the wrapped Request. |
java.lang.String |
getMethod()
Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT. |
java.lang.String |
getParameter(java.lang.String name)
Attempts to get a parameter for this request. |
java.util.Map |
getParameterMap()
Implements the Servlet 2.3 getParameterMap method. |
java.util.Enumeration |
getParameterNames()
Returns the names of the parameters for this request. |
java.lang.String[] |
getParameterValues(java.lang.String name)
Returns an array of String objects containing
all of the values the given request parameter has, or
null if the parameter does not exist. |
java.lang.String |
getPathInfo()
Returns any extra path information associated with the URL the client sent when it made this request. |
java.lang.String |
getPathTranslated()
Returns any extra path information after the servlet name but before the query string, and translates it to a real path. |
java.lang.String |
getProtocol()
Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1. |
java.lang.String |
getQueryString()
Returns the query string that is contained in the request URL after the path. |
java.io.BufferedReader |
getReader()
Retrieves the body of the request as character data using a BufferedReader. |
java.lang.String |
getRealPath(java.lang.String path)
|
java.lang.String |
getRemoteAddr()
Returns the Internet Protocol (IP) address of the client or last proxy that sent the request. |
java.lang.String |
getRemoteHost()
Returns the fully qualified name of the client or the last proxy that sent the request. |
int |
getRemotePort()
Use Reflection to invoke Servlet 2.4 getRemotePort method on the wrapped Request. |
java.lang.String |
getRemoteUser()
Returns the login of the user making this request, if the user has been authenticated, or null if the user
has not been authenticated. |
javax.servlet.http.HttpServletRequest |
getRequest()
Returns the underlying HttpServletRequest for this wrapper |
javax.servlet.RequestDispatcher |
getRequestDispatcher(java.lang.String path)
Returns a javax.servlet.RequestDispatcher object that acts as a wrapper for the resource located at the given path. |
java.lang.String |
getRequestedSessionId()
Returns the session ID specified by the client. |
java.lang.String |
getRequestURI()
Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. |
java.lang.StringBuffer |
getRequestURL()
Use Reflection to invoke Servlet 2.3 getRequestURL method on the wrapped Request. |
java.lang.String |
getScheme()
Returns the name of the scheme used to make this request, for example, http, https, or ftp. |
java.lang.String |
getServerName()
Returns the host name of the server to which the request was sent. |
int |
getServerPort()
Returns the port number to which the request was sent. |
java.lang.String |
getServletPath()
Returns the part of this request's URL that calls the servlet. |
javax.servlet.http.HttpSession |
getSession()
Returns the current session associated with this request, or if the request does not have a session, creates one. |
javax.servlet.http.HttpSession |
getSession(boolean create)
Returns the current HttpSession
associated with this request or, if there is no
current session and create is true, returns
a new session. |
java.security.Principal |
getUserPrincipal()
Returns a java.security.Principal object containing
the name of the current authenticated user. |
private java.lang.Object |
invokeRequestMethod(java.lang.String name,
java.lang.Object[] args)
Convenience method which uses reflection to invoke a method on the Request. |
boolean |
isRequestedSessionIdFromCookie()
Use Reflection to invoke Servlet 2.3 isRequestedSessionIdFromCookie method on the wrapped Request. |
boolean |
isRequestedSessionIdFromUrl()
|
boolean |
isRequestedSessionIdFromURL()
Checks whether the requested session ID came in as part of the request URL. |
boolean |
isRequestedSessionIdValid()
Checks whether the requested session ID is still valid. |
boolean |
isSecure()
Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS. |
boolean |
isUserInRole(java.lang.String user)
Returns a boolean indicating whether the authenticated user is included in the specified logical "role". |
void |
removeAttribute(java.lang.String name)
Removes an attribute from this request. |
void |
setAttribute(java.lang.String name,
java.lang.Object o)
Stores an attribute in this request. |
void |
setCharacterEncoding(java.lang.String encoding)
Use Reflection to invoke Servlet 2.3 setCharacterEncoding method on the wrapped Request. |
void |
setParameter(java.lang.String name,
java.lang.String value)
Sets a parameter for this request. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
log
private static final org.apache.commons.logging.Log log
- Logging instance
parameters
protected java.util.Map parameters
- The parameters for this multipart request
request
protected javax.servlet.http.HttpServletRequest request
- The underlying HttpServletRequest
| Constructor Detail |
MultipartRequestWrapper
public MultipartRequestWrapper(javax.servlet.http.HttpServletRequest request)
| Method Detail |
setParameter
public void setParameter(java.lang.String name, java.lang.String value)
- Sets a parameter for this request. The parameter is actually
separate from the request parameters, but calling on the
getParameter() methods of this class will work as if they weren't.
getParameter
public java.lang.String getParameter(java.lang.String name)
- Attempts to get a parameter for this request. It first looks in the
underlying HttpServletRequest object for the parameter, and if that
doesn't exist it looks for the parameters retrieved from the multipart
request
- Specified by:
getParameterin interfacejavax.servlet.ServletRequest
getParameterNames
public java.util.Enumeration getParameterNames()
- Returns the names of the parameters for this request.
The enumeration consists of the normal request parameter
names plus the parameters read from the multipart request
- Specified by:
getParameterNamesin interfacejavax.servlet.ServletRequest
getParameterValues
public java.lang.String[] getParameterValues(java.lang.String name)
- Description copied from interface:
javax.servlet.ServletRequest - Returns an array of
Stringobjects containing all of the values the given request parameter has, ornullif the parameter does not exist.If the parameter has a single value, the array has a length of 1.
- Specified by:
getParameterValuesin interfacejavax.servlet.ServletRequest
getRequest
public javax.servlet.http.HttpServletRequest getRequest()
- Returns the underlying HttpServletRequest for this wrapper
getAttribute
public java.lang.Object getAttribute(java.lang.String name)
- Description copied from interface:
javax.servlet.ServletRequest - Returns the value of the named attribute as an
Object, ornullif no attribute of the given name exists.Attributes can be set two ways. The servlet container may set attributes to make available custom information about a request. For example, for requests made using HTTPS, the attribute
javax.servlet.request.X509Certificatecan be used to retrieve information on the certificate of the client. Attributes can also be set programatically using ServletRequest.setAttribute(java.lang.String, java.lang.Object)>ServletRequest.setAttribute(java.lang.String, java.lang.Object)55 . This allows information to be embedded into a request before a javax.servlet.RequestDispatcher call.Attribute names should follow the same conventions as package names. This specification reserves names matching
java.*,javax.*, andsun.*.- Specified by:
getAttributein interfacejavax.servlet.ServletRequest
getAttributeNames
public java.util.Enumeration getAttributeNames()
- Description copied from interface:
javax.servlet.ServletRequest - Returns an
Enumerationcontaining the names of the attributes available to this request. This method returns an emptyEnumerationif the request has no attributes available to it.- Specified by:
getAttributeNamesin interfacejavax.servlet.ServletRequest
getCharacterEncoding
public java.lang.String getCharacterEncoding()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the name of the character encoding used in the body of this
request. This method returns
nullif the request does not specify a character encoding- Specified by:
getCharacterEncodingin interfacejavax.servlet.ServletRequest
getContentLength
public int getContentLength()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the length, in bytes, of the request body
and made available by the input stream, or -1 if the
length is not known. For HTTP servlets, same as the value
of the CGI variable CONTENT_LENGTH.
- Specified by:
getContentLengthin interfacejavax.servlet.ServletRequest
getContentType
public java.lang.String getContentType()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the MIME type of the body of the request, or
nullif the type is not known. For HTTP servlets, same as the value of the CGI variable CONTENT_TYPE.- Specified by:
getContentTypein interfacejavax.servlet.ServletRequest
getInputStream
public javax.servlet.ServletInputStream getInputStream() throws java.io.IOException
- Description copied from interface:
javax.servlet.ServletRequest - Retrieves the body of the request as binary data using
a javax.servlet.ServletInputStream. Either this method or
ServletRequest.getReader()>
ServletRequest.getReader()55 may be called to read the body, not both.- Specified by:
getInputStreamin interfacejavax.servlet.ServletRequest
getProtocol
public java.lang.String getProtocol()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the name and version of the protocol the request uses
in the form protocol/majorVersion.minorVersion, for
example, HTTP/1.1. For HTTP servlets, the value
returned is the same as the value of the CGI variable
SERVER_PROTOCOL.- Specified by:
getProtocolin interfacejavax.servlet.ServletRequest
getScheme
public java.lang.String getScheme()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the name of the scheme used to make this request,
for example,
http,https, orftp. Different schemes have different rules for constructing URLs, as noted in RFC 1738.- Specified by:
getSchemein interfacejavax.servlet.ServletRequest
getServerName
public java.lang.String getServerName()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the host name of the server to which the request was sent.
It is the value of the part before ":" in the
Hostheader value, if any, or the resolved server name, or the server IP address.- Specified by:
getServerNamein interfacejavax.servlet.ServletRequest
getServerPort
public int getServerPort()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the port number to which the request was sent.
It is the value of the part after ":" in the
Hostheader value, if any, or the server port where the client connection was accepted on.- Specified by:
getServerPortin interfacejavax.servlet.ServletRequest
getReader
public java.io.BufferedReader getReader() throws java.io.IOException
- Description copied from interface:
javax.servlet.ServletRequest - Retrieves the body of the request as character data using
a
BufferedReader. The reader translates the character data according to the character encoding used on the body. Either this method or ServletRequest.getInputStream()>ServletRequest.getInputStream()55 may be called to read the body, not both.- Specified by:
getReaderin interfacejavax.servlet.ServletRequest
getRemoteAddr
public java.lang.String getRemoteAddr()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the Internet Protocol (IP) address of the client
or last proxy that sent the request.
For HTTP servlets, same as the value of the
CGI variable
REMOTE_ADDR.- Specified by:
getRemoteAddrin interfacejavax.servlet.ServletRequest
getRemoteHost
public java.lang.String getRemoteHost()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the fully qualified name of the client
or the last proxy that sent the request.
If the engine cannot or chooses not to resolve the hostname
(to improve performance), this method returns the dotted-string form of
the IP address. For HTTP servlets, same as the value of the CGI variable
REMOTE_HOST.- Specified by:
getRemoteHostin interfacejavax.servlet.ServletRequest
setAttribute
public void setAttribute(java.lang.String name, java.lang.Object o)
- Description copied from interface:
javax.servlet.ServletRequest - Stores an attribute in this request.
Attributes are reset between requests. This method is most
often used in conjunction with javax.servlet.RequestDispatcher.
Attribute names should follow the same conventions as package names. Names beginning with
java.*,javax.*, andcom.sun.*, are reserved for use by Sun Microsystems.
If the object passed in is null, the effect is the same as calling ServletRequest.removeAttribute(java.lang.String)>ServletRequest.removeAttribute(java.lang.String)55 .
It is warned that when the request is dispatched from the servlet resides in a different web application byRequestDispatcher, the object set by this method may not be correctly retrieved in the caller servlet.- Specified by:
setAttributein interfacejavax.servlet.ServletRequest
removeAttribute
public void removeAttribute(java.lang.String name)
- Description copied from interface:
javax.servlet.ServletRequest - Removes an attribute from this request. This method is not
generally needed as attributes only persist as long as the request
is being handled.
Attribute names should follow the same conventions as package names. Names beginning with
java.*,javax.*, andcom.sun.*, are reserved for use by Sun Microsystems.- Specified by:
removeAttributein interfacejavax.servlet.ServletRequest
getLocale
public java.util.Locale getLocale()
- Description copied from interface:
javax.servlet.ServletRequest - Returns the preferred
Localethat the client will accept content in, based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns the default locale for the server.- Specified by:
getLocalein interfacejavax.servlet.ServletRequest
getLocales
public java.util.Enumeration getLocales()
- Description copied from interface:
javax.servlet.ServletRequest - Returns an
EnumerationofLocaleobjects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns anEnumerationcontaining oneLocale, the default locale for the server.- Specified by:
getLocalesin interfacejavax.servlet.ServletRequest
isSecure
public boolean isSecure()
- Description copied from interface:
javax.servlet.ServletRequest - Returns a boolean indicating whether this request was made using a
secure channel, such as HTTPS.
- Specified by:
isSecurein interfacejavax.servlet.ServletRequest
getRequestDispatcher
public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String path)
- Description copied from interface:
javax.servlet.ServletRequest - Returns a javax.servlet.RequestDispatcher object that acts as a wrapper for
the resource located at the given path.
A
RequestDispatcherobject can be used to forward a request to the resource or to include the resource in a response. The resource can be dynamic or static.The pathname specified may be relative, although it cannot extend outside the current servlet context. If the path begins with a "/" it is interpreted as relative to the current context root. This method returns
nullif the servlet container cannot return aRequestDispatcher.The difference between this method and ServletContext.getRequestDispatcher(java.lang.String)>
ServletContext.getRequestDispatcher(java.lang.String)55 is that this method can take a relative path.- Specified by:
getRequestDispatcherin interfacejavax.servlet.ServletRequest
getRealPath
public java.lang.String getRealPath(java.lang.String path)
- Specified by:
getRealPathin interfacejavax.servlet.ServletRequest
getAuthType
public java.lang.String getAuthType()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the name of the authentication scheme used to protect
the servlet. All servlet containers support basic, form and client
certificate authentication, and may additionally support digest
authentication.
If the servlet is not authenticated
nullis returned.Same as the value of the CGI variable AUTH_TYPE.
- Specified by:
getAuthTypein interfacejavax.servlet.http.HttpServletRequest
getCookies
public javax.servlet.http.Cookie[] getCookies()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns an array containing all of the
Cookieobjects the client sent with this request. This method returnsnullif no cookies were sent.- Specified by:
getCookiesin interfacejavax.servlet.http.HttpServletRequest
getDateHeader
public long getDateHeader(java.lang.String name)
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the value of the specified request header
as a
longvalue that represents aDateobject. Use this method with headers that contain dates, such asIf-Modified-Since.The date is returned as the number of milliseconds since January 1, 1970 GMT. The header name is case insensitive.
If the request did not have a header of the specified name, this method returns -1. If the header can't be converted to a date, the method throws an
IllegalArgumentException.- Specified by:
getDateHeaderin interfacejavax.servlet.http.HttpServletRequest
getHeader
public java.lang.String getHeader(java.lang.String name)
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the value of the specified request header
as a
String. If the request did not include a header of the specified name, this method returnsnull. If there are multiple headers with the same name, this method returns the first head in the request. The header name is case insensitive. You can use this method with any request header.- Specified by:
getHeaderin interfacejavax.servlet.http.HttpServletRequest
getHeaders
public java.util.Enumeration getHeaders(java.lang.String name)
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns all the values of the specified request header
as an
EnumerationofStringobjects.Some headers, such as
Accept-Languagecan be sent by clients as several headers each with a different value rather than sending the header as a comma separated list.If the request did not include any headers of the specified name, this method returns an empty
Enumeration. The header name is case insensitive. You can use this method with any request header.- Specified by:
getHeadersin interfacejavax.servlet.http.HttpServletRequest
getHeaderNames
public java.util.Enumeration getHeaderNames()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns an enumeration of all the header names
this request contains. If the request has no
headers, this method returns an empty enumeration.
Some servlet containers do not allow servlets to access headers using this method, in which case this method returns
null- Specified by:
getHeaderNamesin interfacejavax.servlet.http.HttpServletRequest
getIntHeader
public int getIntHeader(java.lang.String name)
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the value of the specified request header
as an
int. If the request does not have a header of the specified name, this method returns -1. If the header cannot be converted to an integer, this method throws aNumberFormatException.The header name is case insensitive.
- Specified by:
getIntHeaderin interfacejavax.servlet.http.HttpServletRequest
getMethod
public java.lang.String getMethod()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the name of the HTTP method with which this
request was made, for example, GET, POST, or PUT.
Same as the value of the CGI variable REQUEST_METHOD.
- Specified by:
getMethodin interfacejavax.servlet.http.HttpServletRequest
getPathInfo
public java.lang.String getPathInfo()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns any extra path information associated with
the URL the client sent when it made this request.
The extra path information follows the servlet path
but precedes the query string and will start with
a "/" character.
This method returns
nullif there was no extra path information.Same as the value of the CGI variable PATH_INFO.
- Specified by:
getPathInfoin interfacejavax.servlet.http.HttpServletRequest
getPathTranslated
public java.lang.String getPathTranslated()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns any extra path information after the servlet name
but before the query string, and translates it to a real
path. Same as the value of the CGI variable PATH_TRANSLATED.
If the URL does not have any extra path information, this method returns
nullor the servlet container cannot translate the virtual path to a real path for any reason (such as when the web application is executed from an archive). The web container does not decode this string.- Specified by:
getPathTranslatedin interfacejavax.servlet.http.HttpServletRequest
getContextPath
public java.lang.String getContextPath()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the portion of the request URI that indicates the context
of the request. The context path always comes first in a request
URI. The path starts with a "/" character but does not end with a "/"
character. For servlets in the default (root) context, this method
returns "". The container does not decode this string.
- Specified by:
getContextPathin interfacejavax.servlet.http.HttpServletRequest
getQueryString
public java.lang.String getQueryString()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the query string that is contained in the request
URL after the path. This method returns
nullif the URL does not have a query string. Same as the value of the CGI variable QUERY_STRING.- Specified by:
getQueryStringin interfacejavax.servlet.http.HttpServletRequest
getRemoteUser
public java.lang.String getRemoteUser()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the login of the user making this request, if the
user has been authenticated, or
nullif the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.- Specified by:
getRemoteUserin interfacejavax.servlet.http.HttpServletRequest
isUserInRole
public boolean isUserInRole(java.lang.String user)
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns a boolean indicating whether the authenticated user is included
in the specified logical "role". Roles and role membership can be
defined using deployment descriptors. If the user has not been
authenticated, the method returns
false.- Specified by:
isUserInRolein interfacejavax.servlet.http.HttpServletRequest
getUserPrincipal
public java.security.Principal getUserPrincipal()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns a
java.security.Principalobject containing the name of the current authenticated user. If the user has not been authenticated, the method returnsnull.- Specified by:
getUserPrincipalin interfacejavax.servlet.http.HttpServletRequest
getRequestedSessionId
public java.lang.String getRequestedSessionId()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the session ID specified by the client. This may
not be the same as the ID of the current valid session
for this request.
If the client did not specify a session ID, this method returns
null.- Specified by:
getRequestedSessionIdin interfacejavax.servlet.http.HttpServletRequest
getRequestURI
public java.lang.String getRequestURI()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the part of this request's URL from the protocol
name up to the query string in the first line of the HTTP request.
The web container does not decode this String.
For example:
First line of HTTP request Returned Value POST /some/path.html HTTP/1.1 /some/path.html GET http://foo.bar/a.html HTTP/1.0 /a.html HEAD /xyz?a=b HTTP/1.1 /xyz To reconstruct an URL with a scheme and host, use HttpUtils.getRequestURL(javax.servlet.http.HttpServletRequest)>
HttpUtils.getRequestURL(javax.servlet.http.HttpServletRequest)55 .- Specified by:
getRequestURIin interfacejavax.servlet.http.HttpServletRequest
getServletPath
public java.lang.String getServletPath()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the part of this request's URL that calls
the servlet. This path starts with a "/" character
and includes either the servlet name or a path to
the servlet, but does not include any extra path
information or a query string. Same as the value of
the CGI variable SCRIPT_NAME.
This method will return an empty string ("") if the servlet used to process this request was matched using the "/*" pattern.
- Specified by:
getServletPathin interfacejavax.servlet.http.HttpServletRequest
getSession
public javax.servlet.http.HttpSession getSession(boolean create)
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the current
HttpSessionassociated with this request or, if there is no current session andcreateis true, returns a new session.If
createisfalseand the request has no validHttpSession, this method returnsnull.To make sure the session is properly maintained, you must call this method before the response is committed. If the container is using cookies to maintain session integrity and is asked to create a new session when the response is committed, an IllegalStateException is thrown.
- Specified by:
getSessionin interfacejavax.servlet.http.HttpServletRequest
getSession
public javax.servlet.http.HttpSession getSession()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Returns the current session associated with this request,
or if the request does not have a session, creates one.
- Specified by:
getSessionin interfacejavax.servlet.http.HttpServletRequest
isRequestedSessionIdValid
public boolean isRequestedSessionIdValid()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Checks whether the requested session ID is still valid.
- Specified by:
isRequestedSessionIdValidin interfacejavax.servlet.http.HttpServletRequest
isRequestedSessionIdFromURL
public boolean isRequestedSessionIdFromURL()
- Description copied from interface:
javax.servlet.http.HttpServletRequest - Checks whether the requested session ID came in as part of the
request URL.
- Specified by:
isRequestedSessionIdFromURLin interfacejavax.servlet.http.HttpServletRequest
isRequestedSessionIdFromUrl
public boolean isRequestedSessionIdFromUrl()
- Specified by:
isRequestedSessionIdFromUrlin interfacejavax.servlet.http.HttpServletRequest
getParameterMap
public java.util.Map getParameterMap()
- Implements the Servlet 2.3 getParameterMap method.
- Specified by:
getParameterMapin interfacejavax.servlet.ServletRequest
setCharacterEncoding
public void setCharacterEncoding(java.lang.String encoding)
- Use Reflection to invoke Servlet 2.3 setCharacterEncoding
method on the wrapped Request.
- Specified by:
setCharacterEncodingin interfacejavax.servlet.ServletRequest
getRequestURL
public java.lang.StringBuffer getRequestURL()
- Use Reflection to invoke Servlet 2.3 getRequestURL
method on the wrapped Request.
- Specified by:
getRequestURLin interfacejavax.servlet.http.HttpServletRequest
isRequestedSessionIdFromCookie
public boolean isRequestedSessionIdFromCookie()
- Use Reflection to invoke Servlet 2.3 isRequestedSessionIdFromCookie
method on the wrapped Request.
- Specified by:
isRequestedSessionIdFromCookiein interfacejavax.servlet.http.HttpServletRequest
getLocalAddr
public java.lang.String getLocalAddr()
- Use Reflection to invoke Servlet 2.4 getLocalAddr
method on the wrapped Request.
- Specified by:
getLocalAddrin interfacejavax.servlet.ServletRequest
getLocalName
public java.lang.String getLocalName()
- Use Reflection to invoke Servlet 2.4 getLocalName
method on the wrapped Request.
- Specified by:
getLocalNamein interfacejavax.servlet.ServletRequest
getLocalPort
public int getLocalPort()
- Use Reflection to invoke Servlet 2.4 getLocalPort
method on the wrapped Request.
- Specified by:
getLocalPortin interfacejavax.servlet.ServletRequest
getRemotePort
public int getRemotePort()
- Use Reflection to invoke Servlet 2.4 getRemotePort
method on the wrapped Request.
- Specified by:
getRemotePortin interfacejavax.servlet.ServletRequest
invokeRequestMethod
private java.lang.Object invokeRequestMethod(java.lang.String name, java.lang.Object[] args)
- Convenience method which uses reflection to invoke a method
on the Request.
|
|||||||||
| Home >> All >> org >> apache >> struts >> [ upload overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
org.apache.struts.upload.MultipartRequestWrapper